#pragma once

#include <QWidget>
#include <QPainter>
#include <QVector>

class GraphWidget : public QWidget {
	Q_OBJECT
	QVector<int> m_data;
	
public:
	explicit GraphWidget(QWidget *parent = nullptr):
		QWidget(parent)
	{ }
	virtual ~GraphWidget() { }
	
public slots:
	void setData(QVector<int>& data) {
		m_data = data;
		this->repaint();
	}

protected:
	void paintEvent(QPaintEvent *) {
		QPainter p(this);
		int offset_y = 50;

		for(int i=0; i<m_data.size()-1; ++i) {
			QLine line(i, offset_y-m_data[i], i+1, offset_y-m_data[i+1]);
			p.drawLine(line);
		}
	}
};