#pragma once

#include "ui_mainwindow.h"
#include "randommodel.h"
#include <assert.h>

class Window : public QMainWindow {

	Ui::MainWindow m_window;
	RandomModel& m_model;

public:
	explicit Window(RandomModel& m):
		m_window(),
		m_model(m)
	{
		m_window.setupUi(this);
		bool b = connect(m_window.btnDraw, SIGNAL(clicked()), &m_model, SLOT(requireCompute()));
		b &= connect(&m_model, SIGNAL(dataComputed(QVector<int>&)), m_window.graph, SLOT(setData(QVector<int>&)));

		assert(b);
	}
};